Bug 28125 - DRI2 prevents indirect glx
DRI2 prevents indirect glx
Status: RESOLVED FIXED
Product: DRI
Classification: Unclassified
Component: General
XOrg git
Other All
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 14:03 UTC by Andrian Nord
Modified: 2011-08-10 21:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrian Nord 2010-05-15 14:03:15 UTC
When running glx programs with dri2-enabled mesa on client side, it will return

X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  128 (DRI2)
  Minor opcode of failed request:  1 (DRI2Connect)
  Serial number of failed request:  19
  Current serial number in output stream:  19

export LIBG_ALWAYS_INDIRECT=1
does the trick
Comment 1 Andrian Nord 2010-05-15 14:12:18 UTC
P.S. It seems to be unclear, but with mesa on client side, that are old enough to not have dri2, it's working just ok.
Comment 2 Ian Romanick 2010-05-15 16:19:21 UTC
(In reply to comment #0)
> When running glx programs with dri2-enabled mesa on client side, it will return
> 
> X Error of failed request:  BadRequest (invalid request code or no such
> operation)
>   Major opcode of failed request:  128 (DRI2)
>   Minor opcode of failed request:  1 (DRI2Connect)
>   Serial number of failed request:  19
>   Current serial number in output stream:  19
> 
> export LIBG_ALWAYS_INDIRECT=1
> does the trick

Does your server have DRI2?  It sounds like it does not.
Comment 3 Andrian Nord 2010-05-16 04:27:39 UTC
Server side:
night@nord ~ % glxinfo| grep DRI2
OpenGL renderer string: Mesa DRI R600 (RV710 9553) 20090101  TCL DRI2
From log:
[  1776.639] (II) RADEON(0): [DRI2] Setup complete
[  1776.639] (II) RADEON(0): [DRI2]   DRI driver: r600
[  1777.054] (II) GLX: Initialized DRI2 GL provider for screen 0

Client side is other machine: indirect glx -> via network.
Comment 4 ajax at nwnk dot net 2011-05-24 15:02:46 UTC
Patch posted:

http://lists.freedesktop.org/archives/mesa-dev/2011-May/007789.html

A less robust version was tested by the reporter on IRC.
Comment 5 Julien Cristau 2011-08-03 13:50:13 UTC
Ping.  Can somebody please push Adam's patch, or the one in http://article.gmane.org/gmane.comp.video.mesa3d.devel/26942 ?
Comment 6 Christopher James Halse Rogers 2011-08-10 21:10:59 UTC
Fixed in fbc2fcf685d22ec9bc9465e1f731529979497eaa